Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ni.rio
Interface NiRioConstants

All Known Implementing Classes:
  NiFpga

    public interface NiRioConstants

Field Summary
`static int` | `kRioAddressSpace`
`static int` | `kRioAddressSpaceFpga`
`static int` | `kRioAddressSpaceMite`
`static int` | `kRioBusInterfaceType`
`static int` | `kRioBusNum`
`static int` | `kRioBusNumMask`
`static int` | `kRioBusNumShift`
`static int` | `kRioBusTypeMask`
`static int` | `kRioBusTypePci`
`static int` | `kRioBusTypeShift`
`static int` | `kRioChassisNum`
`static int` | `kRioClientIsBigEndian`
`static int` | `kRioCurrentVersion`
`static int` | `kRioDefaultTimeout`
`static byte` | `kRioDeviceAccessAllow`
`static byte` | `kRioDeviceAccessDeny`
`static int` | `kRioDeviceBB`
`static int` | `kRioDeviceCRio`
`static int` | `kRioDeviceDaq`
`static int` | `kRioDeviceFW`
`static int` | `kRioDeviceIMAQ`
`static int` | `kRioDeviceMgr`
`static int` | `kRioDeviceNum`
`static int` | `kRioDevicePxi`
`static int` | `kRioDeviceSync`
`static int` | `kRIODevUserDataKey` DevUserData registered data structure for non R-series devices that utilize RIO technology.
`static int` | `kRioDustMite`
`static int` | `kRioDustMiteNT`
`static int` | `kRioDynamicRpcServerPort`
`static int` | `kRioEventFirstEvent`
`static int` | `kRioEventInvalidEvent`
`static int` | `kRioEventMaxNumberOfEvents`
`static int` | `kRioEventPCIInterrupt`
`static int` | `kRioEventRemoval`
`static int` | `kRioFpgaControlOffset`
`static int` | `kRioFpgaInterruptControlOffset`
`static int` | `kRioFpgaInterruptEnable`
`static int` | `kRioFpgaResetOffset`
`static int` | `kRioFpgaResetWidthInBits`
`static int` | `kRioFuncNum`
`static int` | `kRioFunctionNumMask`
`static int` | `kRioFunctionNumShift`
`static int` | `kRioHasDeviceAccess`
`static int` | `kRioHostAlias`
`static int` | `kRioHostAliases`
`static int` | `kRioHostCurrentVersion`
`static int` | `kRioHostDeviceAccess`
`static int` | `kRioHostDeviceDiscoveryTimeout`
`static int` | `kRioHostHasDeviceAccess`
`static int` | `kRioHostOldestCompatibleVersion`
`static int` | `kRioHostRecentDevices`
`static int` | `kRioHostRpcServerPort`
`static int` | `kRioHostRpcSessionTimeout`
`static int` | `kRioHostRpcTimeout`
`static int` | `kRioInitialized`
`static int` | `kRioInterfaceNum`
`static int` | `kRioInvalid`
`static int` | `kRioInvalidHandle`
`static int` | `kRioIoAttributeAccessByteWidthMask`
`static int` | `kRioIoAttributeDustMiteNtFlashBitstream`
`static int` | `kRioIoAttributeFpgaIncrement`
`static int` | `kRioIrqNodeReserve`
`static int` | `kRioIsItOkToDownload`
`static int` | `kRioLocalFifoDefaultDepth`
`static int` | `kRioLocalFifoRatio`
`static int` | `kRioMaxLen`
`static int` | `kRioMemBaseBar0`
`static int` | `kRioMemBaseBar1`
`static int` | `kRioMemSizeBar0`
`static int` | `kRioMemSizeBar1`
`static int` | `kRioNumMemWindows`
`static int` | `kRioOldestCompatibleVersion`
`static int` | `kRioPersonalityLockTimeout`
`static int` | `kRioProductName`
`static int` | `kRioProductNum`
`static int` | `kRioResetIfLastSession`
`static int` | `kRioResourceName`
`static int` | `kRioRestrictedAccess`
`static int` | `kRioRsrcType`
`static int` | `kRioSerialNum`
`static int` | `kRioSessionState`
`static int` | `kRioSignature`
`static int` | `kRioSlotNum`
`static int` | `kRioSocketNumMask`
`static int` | `kRioSocketNumShift`
`static int` | `kRioSSExclusive`
`static int` | `kRioSSInvariant`
`static int` | `kRioSSNothing`
`static int` | `kRioSSOverride`
`static int` | `kRioSTC2`
`static int` | `kRioTimeoutInfinite`
`static int` | `kRioTimeoutZero`
`static int` | `kRioTriggerBusNum`
`static int` | `kRioTriggerReservedLines`
`static int` | `kRioTriggerReserveLine`
`static int` | `kRioTriggerUnreserveLine`
`static int` | `kRioVendorNum`
`static int` | `kRioWhatFpgaIsDoing`

Field Detail

### kRioInvalid

    static final int kRioInvalid

See Also:
  Constant Field Values

### kRioMaxLen

    static final int kRioMaxLen

See Also:
  Constant Field Values

### kRioInvalidHandle

    static final int kRioInvalidHandle

See Also:
  Constant Field Values

### kRioDeviceAccessDeny

    static final byte kRioDeviceAccessDeny

See Also:
  Constant Field Values

### kRioDeviceAccessAllow

    static final byte kRioDeviceAccessAllow

See Also:
  Constant Field Values

### kRIODevUserDataKey

    static final int kRIODevUserDataKey

  DevUserData registered data structure for non R-series devices that utilize RIO technology.

  See Also:
    Constant Field Values

### kRioTimeoutZero

    static final int kRioTimeoutZero

See Also:
  Constant Field Values

### kRioTimeoutInfinite

    static final int kRioTimeoutInfinite

See Also:
  Constant Field Values

### kRioInitialized

    static final int kRioInitialized

See Also:
  Constant Field Values

### kRioInterfaceNum

    static final int kRioInterfaceNum

See Also:
  Constant Field Values

### kRioProductNum

    static final int kRioProductNum

See Also:
  Constant Field Values

### kRioVendorNum

    static final int kRioVendorNum

See Also:
  Constant Field Values

### kRioSerialNum

    static final int kRioSerialNum

See Also:
  Constant Field Values

### kRioSignature

    static final int kRioSignature

See Also:
  Constant Field Values

### kRioRsrcType

    static final int kRioRsrcType

See Also:
  Constant Field Values

### kRioDeviceMgr

    static final int kRioDeviceMgr

See Also:
  Constant Field Values

### kRioDefaultTimeout

    static final int kRioDefaultTimeout

See Also:
  Constant Field Values

### kRioLocalFifoRatio

    static final int kRioLocalFifoRatio

See Also:
  Constant Field Values

### kRioBusNum

    static final int kRioBusNum

See Also:
  Constant Field Values

### kRioDeviceNum

    static final int kRioDeviceNum

See Also:
  Constant Field Values

### kRioFuncNum

    static final int kRioFuncNum

See Also:
  Constant Field Values

### kRioRestrictedAccess

    static final int kRioRestrictedAccess

See Also:
  Constant Field Values

### kRioCurrentVersion

    static final int kRioCurrentVersion

See Also:
  Constant Field Values

### kRioOldestCompatibleVersion

    static final int kRioOldestCompatibleVersion

See Also:
  Constant Field Values

### kRioClientIsBigEndian

    static final int kRioClientIsBigEndian

See Also:
  Constant Field Values

### kRioFpgaInterruptControlOffset

    static final int kRioFpgaInterruptControlOffset

See Also:
  Constant Field Values

### kRioNumMemWindows

    static final int kRioNumMemWindows

See Also:
  Constant Field Values

### kRioMemBaseBar0

    static final int kRioMemBaseBar0

See Also:
  Constant Field Values

### kRioMemBaseBar1

    static final int kRioMemBaseBar1

See Also:
  Constant Field Values

### kRioMemSizeBar0

    static final int kRioMemSizeBar0

See Also:
  Constant Field Values

### kRioMemSizeBar1

    static final int kRioMemSizeBar1

See Also:
  Constant Field Values

### kRioSessionState

    static final int kRioSessionState

See Also:
  Constant Field Values

### kRioPersonalityLockTimeout

    static final int kRioPersonalityLockTimeout

See Also:
  Constant Field Values

### kRioAddressSpace

    static final int kRioAddressSpace

See Also:
  Constant Field Values

### kRioChassisNum

    static final int kRioChassisNum

See Also:
  Constant Field Values

### kRioSlotNum

    static final int kRioSlotNum

See Also:
  Constant Field Values

### kRioLocalFifoDefaultDepth

    static final int kRioLocalFifoDefaultDepth

See Also:
  Constant Field Values

### kRioTriggerBusNum

    static final int kRioTriggerBusNum

See Also:
  Constant Field Values

### kRioTriggerReserveLine

    static final int kRioTriggerReserveLine

See Also:
  Constant Field Values

### kRioTriggerUnreserveLine

    static final int kRioTriggerUnreserveLine

See Also:
  Constant Field Values

### kRioTriggerReservedLines

    static final int kRioTriggerReservedLines

See Also:
  Constant Field Values

### kRioIrqNodeReserve

    static final int kRioIrqNodeReserve

See Also:
  Constant Field Values

### kRioFpgaInterruptEnable

    static final int kRioFpgaInterruptEnable

See Also:
  Constant Field Values

### kRioIsItOkToDownload

    static final int kRioIsItOkToDownload

See Also:
  Constant Field Values

### kRioFpgaResetOffset

    static final int kRioFpgaResetOffset

See Also:
  Constant Field Values

### kRioFpgaResetWidthInBits

    static final int kRioFpgaResetWidthInBits

See Also:
  Constant Field Values

### kRioFpgaControlOffset

    static final int kRioFpgaControlOffset

See Also:
  Constant Field Values

### kRioResetIfLastSession

    static final int kRioResetIfLastSession

See Also:
  Constant Field Values

### kRioHasDeviceAccess

    static final int kRioHasDeviceAccess

See Also:
  Constant Field Values

### kRioBusInterfaceType

    static final int kRioBusInterfaceType

See Also:
  Constant Field Values

### kRioProductName

    static final int kRioProductName

See Also:
  Constant Field Values

### kRioWhatFpgaIsDoing

    static final int kRioWhatFpgaIsDoing

See Also:
  Constant Field Values

### kRioResourceName

    static final int kRioResourceName

See Also:
  Constant Field Values

### kRioHostCurrentVersion

    static final int kRioHostCurrentVersion

See Also:
  Constant Field Values

### kRioHostOldestCompatibleVersion

    static final int kRioHostOldestCompatibleVersion

See Also:
  Constant Field Values

### kRioHostRpcServerPort

    static final int kRioHostRpcServerPort

See Also:
  Constant Field Values

### kRioHostRpcTimeout

    static final int kRioHostRpcTimeout

See Also:
  Constant Field Values

### kRioHostDeviceDiscoveryTimeout

    static final int kRioHostDeviceDiscoveryTimeout

See Also:
  Constant Field Values

### kRioHostHasDeviceAccess

    static final int kRioHostHasDeviceAccess

See Also:
  Constant Field Values

### kRioHostRpcSessionTimeout

    static final int kRioHostRpcSessionTimeout

See Also:
  Constant Field Values

### kRioHostAliases

    static final int kRioHostAliases

See Also:
  Constant Field Values

### kRioHostAlias

    static final int kRioHostAlias

See Also:
  Constant Field Values

### kRioHostDeviceAccess

    static final int kRioHostDeviceAccess

See Also:
  Constant Field Values

### kRioHostRecentDevices

    static final int kRioHostRecentDevices

See Also:
  Constant Field Values

### kRioDynamicRpcServerPort

    static final int kRioDynamicRpcServerPort

See Also:
  Constant Field Values

### kRioAddressSpaceMite

    static final int kRioAddressSpaceMite

See Also:
  Constant Field Values

### kRioAddressSpaceFpga

    static final int kRioAddressSpaceFpga

See Also:
  Constant Field Values

### kRioIoAttributeAccessByteWidthMask

    static final int kRioIoAttributeAccessByteWidthMask

See Also:
  Constant Field Values

### kRioIoAttributeFpgaIncrement

    static final int kRioIoAttributeFpgaIncrement

See Also:
  Constant Field Values

### kRioIoAttributeDustMiteNtFlashBitstream

    static final int kRioIoAttributeDustMiteNtFlashBitstream

See Also:
  Constant Field Values

### kRioEventInvalidEvent

    static final int kRioEventInvalidEvent

See Also:
  Constant Field Values

### kRioEventFirstEvent

    static final int kRioEventFirstEvent

See Also:
  Constant Field Values

### kRioEventPCIInterrupt

    static final int kRioEventPCIInterrupt

See Also:
  Constant Field Values

### kRioEventRemoval

    static final int kRioEventRemoval

See Also:
  Constant Field Values

### kRioEventMaxNumberOfEvents

    static final int kRioEventMaxNumberOfEvents

See Also:
  Constant Field Values

### kRioSSNothing

    static final int kRioSSNothing

See Also:
  Constant Field Values

### kRioSSExclusive

    static final int kRioSSExclusive

See Also:
  Constant Field Values

### kRioSSInvariant

    static final int kRioSSInvariant

See Also:
  Constant Field Values

### kRioSSOverride

    static final int kRioSSOverride

See Also:
  Constant Field Values

### kRioBusTypePci

    static final int kRioBusTypePci

See Also:
  Constant Field Values

### kRioBusTypeShift

    static final int kRioBusTypeShift

See Also:
  Constant Field Values

### kRioBusTypeMask

    static final int kRioBusTypeMask

See Also:
  Constant Field Values

### kRioBusNumShift

    static final int kRioBusNumShift

See Also:
  Constant Field Values

### kRioBusNumMask

    static final int kRioBusNumMask

See Also:
  Constant Field Values

### kRioSocketNumShift

    static final int kRioSocketNumShift

See Also:
  Constant Field Values

### kRioSocketNumMask

    static final int kRioSocketNumMask

See Also:
  Constant Field Values

### kRioFunctionNumShift

    static final int kRioFunctionNumShift

See Also:
  Constant Field Values

### kRioFunctionNumMask

    static final int kRioFunctionNumMask

See Also:
  Constant Field Values

### kRioDeviceCRio

    static final int kRioDeviceCRio

See Also:
  Constant Field Values

### kRioDevicePxi

    static final int kRioDevicePxi

See Also:
  Constant Field Values

### kRioDeviceFW

    static final int kRioDeviceFW

See Also:
  Constant Field Values

### kRioDeviceBB

    static final int kRioDeviceBB

See Also:
  Constant Field Values

### kRioDeviceSync

    static final int kRioDeviceSync

See Also:
  Constant Field Values

### kRioDeviceDaq

    static final int kRioDeviceDaq

See Also:
  Constant Field Values

### kRioDeviceIMAQ

    static final int kRioDeviceIMAQ

See Also:
  Constant Field Values

### kRioDustMite

    static final int kRioDustMite

See Also:
  Constant Field Values

### kRioDustMiteNT

    static final int kRioDustMiteNT

See Also:
  Constant Field Values

### kRioSTC2

    static final int kRioSTC2

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"